Bug 1004696 - [WHQL][netkvm]2c_Mini6Stress,2c_OidsNdisRequest,2C_Priority,2c_RSSOids failed on win2012R2Preview on HCK 2.1.9431
[WHQL][netkvm]2c_Mini6Stress,2c_OidsNdisRequest,2C_Priority,2c_RSSOids failed...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: 7.0
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 05:20 EDT by Min Deng
Modified: 2014-07-11 02:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 05:59:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (62.53 KB, image/png)
2013-11-28 02:41 EST, Mike Cao
no flags Details

  None (edit)
Description Min Deng 2013-09-05 05:20:28 EDT
Created attachment 794135 [details]
2012R2HCK

Description of problem:
2c_Mini6Stress,2c_OidsNdisRequest,2C_Priority,2c_Mini6RSSOids failed on win2012R2Preview on HCK 2.1.9431

Version-Release number of selected component (if applicable):
build67
kernel-2.6.32-414.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.397.el6.x86_64
How reproducible:
5 times

Steps to Reproduce:
1.boot up guest with following CLI
  a./usr/libexec/qemu-kvm -m 4G -smp 4,cores=4 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -drive file=win2012-R2-nic1.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,sndbuf=0,id=hostnet0,vhost=on,script=/etc/qemu-ifup-private,downscript=no -device virtio-net-pci,netdev=hostnet0,mac=00:33:c3:02:21:21,bus=pci.0,addr=0x4,id=virtio-net-pci0 -netdev tap,sndbuf=0,id=hostnet2,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet2,mac=00:22:46:c3:33:07,bus=pci.0,addr=0x6 -uuid d2738299-9f2f-41a2-863b-e3e2d1895b43 -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win8-32-nic1,server,nowait -mon chardev=111a,mode=readline -vnc :1 -vga cirrus -rtc base=localtime,clock=host,driftfix=slew -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio
  b./usr/libexec/qemu-kvm -m 2G -smp 1,cores=1 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -drive file=win2012-R2-nic2.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,sndbuf=0,id=hostnet0,vhost=on,script=/etc/qemu-ifup-private,downscript=no -device virtio-net-pci,netdev=hostnet0,mac=00:33:53:12:31:21,bus=pci.0,addr=0x4,id=virtio-net-pci0 -netdev tap,sndbuf=0,id=hostnet2,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet2,mac=00:23:44:c3:33:07,bus=pci.0,addr=0x6 -uuid 95e9461c-fd7c-4b3b-a5f9-1bd9b09c1856 -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win8-32-nic2,server,nowait -mon chardev=111a,mode=readline -vnc :2 -vga cirrus -name win8-32-67-2 -rtc base=localtime,clock=host,driftfix=slew -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio

2.submit the above jobs

3.those jobs always terminated without BSOD

Actual results:
The job cannot  pass successfully.

Expected results:
The job can pass successfully.

Additional info:
Upload hck after a while
Comment 2 Yan Vugenfirer 2013-09-08 09:16:35 EDT
Please upload separate crash dumps for each test.

Thanks,
Yan.
Comment 3 Min Deng 2013-09-09 02:18:29 EDT
(In reply to Yan Vugenfirer from comment #2)
> Please upload separate crash dumps for each test.
> 
> Thanks,
> Yan.

Hi Yan,
   The jobs mentioned in this bug didn't have crash dump so we only have the hck logs.

Best Regards,
Min
Comment 4 RHEL Product and Program Management 2013-10-13 22:22:24 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Mike Cao 2013-11-28 02:40:27 EST
Hi, Yan

I know how to reproduce it ,but help to verify whether it is a virito-win bug as it really spend QE plenty of time to debug.

1.Run NDISTest6.0 - 2c_Mini6RssSendRecv job first 
After step 1 . the support guest will bsod (the manual errata) ,and the ms_tcpip and ms_tcpipv6 protocol of testing guest's adapter will be unbinded
2.select the ms_tcpip protocol and ms_tcpipv6 protocol for the netkvm driver
3.rerun all the other jobs 

Actual Results:
For others NDIS jobs .the NDIS will abort after running subtests "Binding/Unbinding protocols.

Workaround:
I successfully workaround it one time with MSFT tools nvspbind.exe .But unluckily I forgot the save the command as  the guest rebooted during testing 
( I also find lots of protocols has been added for netkvm adapter ,screen shot will be attached 

Mike
Comment 6 Mike Cao 2013-11-28 02:41:13 EST
Created attachment 830057 [details]
screenshot
Comment 7 Yan Vugenfirer 2013-11-28 07:55:09 EST
(In reply to Mike Cao from comment #5)
> Hi, Yan
> 
> I know how to reproduce it ,but help to verify whether it is a virito-win
> bug as it really spend QE plenty of time to debug.
> 
> 1.Run NDISTest6.0 - 2c_Mini6RssSendRecv job first 
> After step 1 . the support guest will bsod (the manual errata) ,and the
> ms_tcpip and ms_tcpipv6 protocol of testing guest's adapter will be unbinded
> 2.select the ms_tcpip protocol and ms_tcpipv6 protocol for the netkvm driver
> 3.rerun all the other jobs 
> 
> Actual Results:
> For others NDIS jobs .the NDIS will abort after running subtests
> "Binding/Unbinding protocols.
> 
> Workaround:
> I successfully workaround it one time with MSFT tools nvspbind.exe .But
> unluckily I forgot the save the command as  the guest rebooted during
> testing 
> ( I also find lots of protocols has been added for netkvm adapter ,screen
> shot will be attached 
> 
> Mike

Hi Mike,

Regarding the bind\unbind errors - from what I saw before this is test issue. If some test fails or crashes the test can from tim ego time make incomplete cleanup. 
During most of the tests HCK will unbind IP and bing ndprot instead.

Best regards,
Yan.
Comment 8 Mike Cao 2013-11-28 07:58:53 EST
I wil(In reply to Yan Vugenfirer from comment #7)
> (In reply to Mike Cao from comment #5)
> > Hi, Yan
> > 
> > I know how to reproduce it ,but help to verify whether it is a virito-win
> > bug as it really spend QE plenty of time to debug.
> > 
> > 1.Run NDISTest6.0 - 2c_Mini6RssSendRecv job first 
> > After step 1 . the support guest will bsod (the manual errata) ,and the
> > ms_tcpip and ms_tcpipv6 protocol of testing guest's adapter will be unbinded
> > 2.select the ms_tcpip protocol and ms_tcpipv6 protocol for the netkvm driver
> > 3.rerun all the other jobs 
> > 
> > Actual Results:
> > For others NDIS jobs .the NDIS will abort after running subtests
> > "Binding/Unbinding protocols.
> > 
> > Workaround:
> > I successfully workaround it one time with MSFT tools nvspbind.exe .But
> > unluckily I forgot the save the command as  the guest rebooted during
> > testing 
> > ( I also find lots of protocols has been added for netkvm adapter ,screen
> > shot will be attached 
> > 
> > Mike
> 
> Hi Mike,
> 
> Regarding the bind\unbind errors - from what I saw before this is test
> issue. If some test fails or crashes the test can from tim ego time make
> incomplete cleanup. 
> During most of the tests HCK will unbind IP and bing ndprot instead.
> 
> Best regards,
> Yan.
It happened again ,I will try more whether it is a test blocker

Note You need to log in before you can comment on or make changes to this bug.